## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Not generated by rust2rpm 23
# https://pagure.io/fedora-rust/rust2rpm/issue/125
%bcond_without check

%global crate rpm-sequoia

Name:           rust-rpm-sequoia
Version:        1.2.0
Release:        %autorelease
Summary:        Implementation of the RPM PGP interface using Sequoia

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/rpm-sequoia
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
Implementation of the RPM PGP interface using Sequoia.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR MIT
# BSL-1.0
# LGPL-2.0-or-later
# LGPL-3.0 OR GPL-2.0 OR GPL-3.0
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        LGPL-3.0 AND BSL-1.0 AND MIT
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{_libdir}/librpm_sequoia.so.1

%package     -n %{crate}-devel
Summary:        %{summary}
Requires:       %{crate}%{?_isa} = %{version}-%{release}

%description -n %{crate}-devel %{_description}

%files       -n %{crate}-devel
%{_libdir}/librpm_sequoia.so
%{_libdir}/pkgconfig/rpm-sequoia.pc

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license} > LICENSE.dependencies

%install
# install shared library
mkdir -p %{buildroot}/%{_libdir}
cp -pav target/release/librpm_sequoia.so %{buildroot}/%{_libdir}/librpm_sequoia.so.1
# create unversioned symlink
ln -s librpm_sequoia.so.1 %{buildroot}/%{_libdir}/librpm_sequoia.so
# install pkg-config file
mkdir -p %{buildroot}/%{_libdir}/pkgconfig
cp -pav target/release/rpm-sequoia.pc %{buildroot}/%{_libdir}/pkgconfig/

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Nov 23 2022 Fabio Valentini <decathorpe@gmail.com> 1.2.0-1
- Update to version 1.2.0; Fixes RHBZ#2145244

* Wed Nov 23 2022 Fabio Valentini <decathorpe@gmail.com> 1.1.2-2
- Rebuild for sequoia-openpgp 1.11.0

* Mon Nov 14 2022 Fabio Valentini <decathorpe@gmail.com> 1.1.2-1
- Update to version 1.1.2; Fixes RHBZ#2138400

* Thu Oct 13 2022 Fabio Valentini <decathorpe@gmail.com> 1.0.1-1
- Initial import (#2087499)
